Package es.imim.DISGENET.search

# Class MemComboBox.MyComboBoxUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ComboBoxUI
javax.swing.plaf.basic.BasicComboBoxUI
es.imim.DISGENET.search.MemComboBox.MyComboBoxUI

Enclosing class:
  MemComboBox

public class MemComboBox.MyComboBoxUI extends BasicComboBoxUI

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicComboBoxUI

`BasicComboBoxUI.ComboBoxLayoutManager, BasicComboBoxUI.FocusHandler, BasicComboBoxUI.ItemHandler, BasicComboBoxUI.KeyHandler, BasicComboBoxUI.ListDataHandler, BasicComboBoxUI.PropertyChangeHandler`

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicComboBoxUI

`arrowButton, cachedMinimumSize, comboBox, currentValuePane, editor, focusListener, hasFocus, isMinimumSizeDirty, itemListener, keyListener, listBox, listDataListener, popup, popupKeyListener, popupMouseListener, popupMouseMotionListener, propertyChangeListener, squareButton`

## Constructor Summary

Constructors
Constructor
Description
`MyComboBoxUI()`

## Method Summary

Modifier and Type
Method
Description
`protected ComboPopup`
`createPopup()`
`int`
`getWidestItemWidth()`

### Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI

`addEditor, configureArrowButton, configureEditor, createArrowButton, createEditor, createFocusListener, createItemListener, createKeyListener, createLayoutManager, createListDataListener, createPropertyChangeListener, createRenderer, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getDefaultSize, getDisplaySize, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, getSizeForComponent, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, isFocusTraversable, isNavigationKey, isPopupVisible, paint, paintCurrentValue, paintCurrentValueBackground, rectangleForCurrentValue, removeEditor, selectNextPossibleValue, selectPreviousPossibleValue, setPopupVisible, toggleOpenClose, unconfigureArrowButton, unconfigureEditor, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyComboBoxUI

public MyComboBoxUI()

## Method Details

### createPopup

protected ComboPopup createPopup()

Overrides:
  `createPopup` in class `BasicComboBoxUI`

### getWidestItemWidth

public int getWidestItemWidth()